We use cookies to give you the best possible experience while you browse through our site. By continuing to use our website you implicitly agree to the usage of cookies on this site.

Read More
← Atlas API & Provisioning Reference

Number Management

Toggling MMS on an existing number

MMS is available for any and all sms enabled numbers, as long as the account allows it, it can be toggled at anytime.

Toggling MMS can be done via the Numbers update route:

Structure

PATCH /api/v1/numbers/:number

Accept: application/json
Content-Type: application/json
Authorization: Bearer API_KEY_HTTP_KEY
{
  "type": "number",
  "data": {
    "mms_enabled": boolean
  }
}

Example 1

To enable MMS on an existing number:

PATCH /api/v1/numbers/12003004000

Accept: application/json
Content-Type: application/json
Authorization: Bearer API_KEY_HTTP_KEY
{
  "type": "number",
  "data": {
    "mms_enabled": true
  }
}

Example 2

To disable MMS on an existing number:

PATCH /api/v1/numbers/12003004000

Accept: application/json
Content-Type: application/json
Authorization: Bearer API_KEY_HTTP_KEY
{
  "type": "number",
  "data": {
    "mms_enabled": false
  }
}

Updated 2026-08-12 · Generated from the Atlas OpenAPI spec.